#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gnome.h>
#include "defines.h"
#include "draw.h"
#include "defines.h"
#include "generate.h"
#include "levels.h"

void draw_grid(struct _level *cl,char *col)
{
	
	int i;
	GnomeCanvasItem *tmp;
	GnomeCanvasGroup *group;
	group=cl->group;

	gnome_canvas_item_new(
	group, GNOME_TYPE_CANVAS_RECT,
	"x1",(double)RSIZE1,
	"y1",(double)RSIZE1,
	"x2",(double)GSIZE*RSIZE2-RSIZE1,
	"y2",(double)GSIZE*RSIZE2-RSIZE1,
	"fill_color",CANVAS_COLOR,NULL);
	for (i=0; i<GSIZE; i++)
	{
		tmp=draw_a_line(group,
		i*RSIZE2+RSIZE1,
		RSIZE1,
		i*RSIZE2+RSIZE1,
		GSIZE*RSIZE2-RSIZE1,
		col);
		
		cl->line_list[i]=tmp;

		tmp=draw_a_line(group,
		RSIZE1,
		i*RSIZE2+RSIZE1,
		GSIZE*RSIZE2-RSIZE1,
		i*RSIZE2+RSIZE1,
		col);
	
		cl->line_list[GSIZE+i]=tmp;
	
	}
	
}

GnomeCanvasItem* draw_a_line(GnomeCanvasGroup *group, int x1,int y1,int x2,int y2, char *color)
{
	GnomeCanvasPoints *points;
	GnomeCanvasItem *tmp;
	points=gnome_canvas_points_new(2);
	points->coords[0]=x1;
	points->coords[1]=y1;
	points->coords[2]=x2;
	points->coords[3]=y2;

	tmp=gnome_canvas_item_new(group,
		gnome_canvas_line_get_type(),
		"points",points,
		"fill_color",color,
		"width_units",1.0,
		NULL);
	
	gnome_canvas_points_unref(points);		
	return tmp;
}


GnomeCanvasItem* draw_preview(GnomeCanvasGroup *gr,int x,int y)
{
	GnomeCanvasItem *tmp;

	tmp=gnome_canvas_item_new(
	gr,
	GNOME_TYPE_CANVAS_RECT,
	"x1",(double)(x-RSIZE1+3),
	"y1",(double)(y-RSIZE1+3),
	"x2",(double)(x+RSIZE1-3),
	"y2",(double)(y+RSIZE1-3),
	"outline_color",GRID_COLOR,
	NULL);

	return tmp;
}

